function results=parseresultsfromdisk(filename)
%PARSERESULTSFROMDISK - ...
%
%   Usage:
%      results=parseresultsfromdisk(filename)

%Open file
fid=fopen(filename,'rb');
if(fid==-1),
	error(['loadresultsfromdisk error message: could not open ',filename,' for binary reading']);
end

results={};

%Read fields until the end of the file.
while 0<1,

	result=ReadData(fid);
	if isnan(result),
		break;
	else
		results{end+1}=result;
	end
end
